# $Revision: 1.27 $, $Date: 2010/07/09 11:17:32 $
Summary:	Desktop session recorder for the Free Desktop
Summary(pl.UTF-8):	Narzędzie do nagrywania sesji graficznych
Name:		istanbul
Version:	0.2.2
Release:	11
License:	GPL v2
Group:		X11/Applications
Source0:	http://zaheer.merali.org/%{name}-%{version}.tar.bz2
# Source0-md5:	8ddcfd5a29dcd10fdafc10af9f66848b
Patch0:		%{name}-quality.patch
Patch1:		%{name}-build.patch
Patch2:		%{name}-debian.patch
URL:		http://live.gnome.org/Istanbul
BuildRequires:	GConf2-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gstreamer-devel >= 0.10
BuildRequires:	gstreamer-plugins-base-devel >= 0.10
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:	python-Xlib >= 0.13
BuildRequires:	python-gnome-extras-devel
BuildRequires:	python-gstreamer-devel >= 0.10
BuildRequires:	python-pygtk-gtk
BuildRequires:	rpm-pythonprov
Requires(post,postun):	/sbin/ldconfig
Requires(post,preun):	GConf2
%pyrequires_eq	python-libs
Requires:	gstreamer-GConf
Requires:	gstreamer-imagesink-x
Requires:	gstreamer-theora
Requires:	gstreamer-vorbis
Requires:	python-Xlib >= 0.13
Requires:	python-gnome-extras-egg
Requires:	python-gstreamer >= 0.10
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Istanbul is a desktop session recorder for the Free Desktop. It
records your session into an Ogg Theora video file.

%description -l pl.UTF-8
Istanbul to narzędzie do nagrywania sesji graficznych. Nagrywa sesje
do plików filmów w formacie Ogg Theora.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
for a in `cat debian/patches/series`; do
	patch -p1 < debian/patches/$a || exit 1
done

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I common
%{__autoconf}
%{__automake}
%configure \
	--disable-gconftool
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}/%{name}
%py_postclean $RPM_BUILD_ROOT%{py_sitescriptdir}/%{name}

[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
	mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}

rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-*/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install istanbul.schemas
/sbin/ldconfig

%preun
%gconf_schema_uninstall istanbul.schemas

%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/gstreamer-*/*.so*
%{_mandir}/man1/*.1*
%{_desktopdir}/istanbul.desktop
%{_pixmapsdir}/istanbul.png
%{py_sitescriptdir}/%{name}
%{_sysconfdir}/gconf/schemas/istanbul.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: istanbul.spec,v $
Revision 1.27  2010/07/09 11:17:32  arekm
- release 11

Revision 1.26  2010/07/08 07:54:02  arekm
- release 10

Revision 1.25  2010/01/30 20:38:12  arekm
- rel 9; add debian patches

Revision 1.24  2010/01/30 20:33:47  arekm
- release 8

Revision 1.23  2009/11/28 18:56:27  sparky
- BR: python-gstreamer-devel, rpm-pythonprov

Revision 1.22  2009/01/31 16:08:50  megabajt
- added missing requires lp#323454
- moved %gconf_schema_uninstall to preun
- release 7

Revision 1.21  2008/10/20 18:04:23  arekm
- rel 6; build fix

Revision 1.20  2008/10/14 06:42:05  arekm
- release 5

Revision 1.19  2008/10/04 19:38:29  arekm
- release 4

Revision 1.18  2008/10/03 17:44:43  arekm
- release 3

Revision 1.17  2007-11-04 23:10:41  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.16  2007/10/22 19:27:51  qboosh
- proper package name

Revision 1.15  2007/10/22 19:25:50  ankry
- tab

Revision 1.14  2007/10/22 16:28:44  emes
- added Req python-Xlib

Revision 1.13  2007/02/27 14:06:18  patrys
- 0.2.2

Revision 1.12  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.10  2007/01/02 15:03:34  adamg
- BuildRequires: gettext-devel

Revision 1.9  2006/11/26 22:37:02  darekr
- specify BR for last commit

Revision 1.8  2006/11/26 20:19:41  rotom
- BR added [GConf2-devel]

Revision 1.7  2006/11/14 21:15:18  qboosh
- pl, cleanup, R(post,postun)

Revision 1.6  2006/11/09 00:02:28  patrys
- added quality patch

Revision 1.5  2006/11/08 18:13:22  wolf
- R gstreamer-GConf

Revision 1.4  2006/11/08 18:01:56  wolf
- R gstreamer-vorbis

Revision 1.3  2006/11/08 14:18:16  patrys
- R: python-gnome-extras-egg

Revision 1.2  2006/11/08 13:02:12  patrys
- package the library

Revision 1.1  2006/11/08 12:53:25  patrys
- Initial PLD release
